%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name unicode-display_width

Summary: Determines the monospace display width of a string in Ruby
Name: %{?scl_prefix}rubygem-%{gem_name}

Version: 1.0.5
Release: 2%{?dist}
Group: Development/Ruby
License: MIT
URL: https://github.com/janlelis/unicode-display_width
Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix_ruby}ruby(release)
BuildRequires: %{?scl_prefix_ruby}rubygems-devel
BuildRequires: %{?scl_prefix_ruby}rubygems
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(unicode-display_width) = %{version}
%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}

%description
Determines the monospace display width of a string using EastAsianWidth.txt,
Unicode general category, and other data.

%package doc
BuildArch:  noarch
Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
Summary:    Documentation for rubygem-%{gem_name}

%description doc
This package contains documentation for rubygem-%{gem_name}.

%prep
%setup -n %{pkg_name}-%{version} -T -c
%{?scl:scl enable %{scl} - <<EOF}
%gem_install -n %{SOURCE0}
%{?scl:EOF}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

rm -rf %{buildroot}%{gem_instdir}/.yardoc

%files
%dir %{gem_instdir}
%{gem_libdir}
%doc %{gem_instdir}/MIT-LICENSE.txt
%{gem_instdir}/data
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/CHANGELOG.txt
%doc %{gem_instdir}/README.md
%{gem_instdir}/spec
%exclude %{gem_instdir}/%{gem_name}.gemspec

%changelog
* Thu Feb 16 2017 zjhuntin <zhunting@redhat.com> 1.0.5-2
- BZ#1420673 - Update unicode-display_width with 1.0.5 (mhulan@redhat.com)
- Automatic commit of package [rubygem-unicode-display_width] minor release
  [0.1.1-8]. (ericdhelms@gmail.com)

* Tue Feb 07 2017 Eric D Helms <ericdhelms@gmail.com> 0.1.1-8
- new package built with tito

* Tue Aug 25 2015 Dominic Cleal <dcleal@redhat.com> 0.1.1-7
- Converted to tfm SCL (dcleal@redhat.com)
- Fixes #9703 - change %%{dist} to %%{?dist} (jmontleo@redhat.com)
- Add full rubygems.org source URL (dcleal@redhat.com)

* Thu Jul 04 2013 Dominic Cleal <dcleal@redhat.com> 0.1.1-6
- change ruby(abi) to ruby(release) for F19+ (dcleal@redhat.com)
- delete all zero sized tito.props (msuchy@redhat.com)
- with recent tito you do not need SCL meta package (msuchy@redhat.com)

* Thu Mar 14 2013 Miroslav Suchý <msuchy@redhat.com> 0.1.1-4
- new package built with tito

* Mon Sep 10 2012 Miroslav Suchý <msuchy@redhat.com> 0.1.1-3
- remove yardoc (msuchy@redhat.com)

* Mon Sep 10 2012 Miroslav Suchý <msuchy@redhat.com> 0.1.1-2
- new package built with tito
